'uninstall_outils_clients_boxi2.vbs - Desinstalle les outils clients pour BOXI2
' Pascal MIETLICKI - 08/09/2010 13:56

'Ce script doit tourner sous Windows 2000 et Windows XP
'Il permet de recuperer les informations pour la desinstaller du programme voulu
'(ici BOXI2) notamment le guid et la commande de desinstallation. 

'Part of this script is based on script posted by Torgeir Bakken
'Date: Wed, 17 Sep 2003 21:06:44 +0200
'From: "Torgeir Bakken (MVP)"
'Subject: Re: Track installed software, patches and plugins using WMI
'Newsgroups: microsoft.public.win32.programmer.wmi

  'Quelques variables pour fouiller dans le registre
  Dim oReg, sBaseKey, iRC, aSubKeys

  'Les clefs de la base de registre a regarder
  Const HKLM = &H80000002 'HKEY_LOCAL_MACHINE
  Set oReg = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" & _
              "localhost" & "/root/default:StdRegProv")
  sBaseKey = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\"
  iRC = oReg.EnumKey(HKLM, sBaseKey, aSubKeys)

  'Quelques variables
  Dim sKey, sValue

  For Each sKey In aSubKeys
    'On recupere le nom du programme
    iRC = oReg.GetStringValue(HKLM, sBaseKey & sKey, "DisplayName", sValue)
    If iRC <> 0 Then
      oReg.GetStringValue HKLM, sBaseKey & sKey, "QuietDisplayName", sValue
    End If
    'On cherche le programme BOXI2
     If (sValue <> "") AND (InStr(sValue, "BusinessObjects Enterprise XI Release 2")) Then
		'BusinessObjects XI2
		 Return = WScript.CreateObject("WScript.Shell").Run("msiexec /quiet /X"&sKey, 10, true)
		 If Return<>0 then
			MsgBox "Probleme lors de la desinstallation de BOXI2, vous n'avez sans doute pas les droits suffisants."
		 Else
			MsgBox "Commande de desinstallation de BOXI2 lancee."
         End If
     End If
  Next
